# SCryptHash

Returns a secure input hash of the given string using the Argon2 hashing algorithm.

## Method Signature

```
SCryptHash(input=[string], saltLength=[integer], parallelism=[integer], keySize=[integer], memory=[integer], cpuCost=[integer])
```

### Arguments

| Argument      | Type      | Required | Description                                                                               | Default |
| ------------- | --------- | -------- | ----------------------------------------------------------------------------------------- | ------- |
| `input`       | `string`  | `true`   | The string to perform secure hashing upon.                                                |         |
| `saltLength`  | `integer` | `false`  | The length of the salt to use in the hashing algorithm. Must be greated than 8.           | `8`     |
| `parallelism` | `integer` | `false`  | The number of threads to use in the hashing algorithm. Must be between 1 and 10.          | `1`     |
| `keySize`     | `integer` | `false`  | The size of the key to use in the hashing algorithm. Must be greater than 32.             | `32`    |
| `memory`      | `integer` | `false`  | The amount of memory to use in the hashing algorithm. Must be between 8 and 100000.       | `8`     |
| `cpuCost`     | `integer` | `false`  | The CPU cost to use in the hashing algorithm. Must be greater than 2 and be a power off 2 | `16384` |

## Examples

## Related

* [Argon2CheckHash](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/argon2checkhash.md)
* [ArgonHash](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/argonhash.md)
* [ArgonVerify](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/argonverify.md)
* [BCryptHash](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/bcrypthash.md)
* [BCryptVerify](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/bcryptverify.md)
* [GenerateArgon2Hash](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/generateargon2hash.md)
* [GenerateBCryptHash](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/generatebcrypthash.md)
* [GenerateSCryptHash](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/generatescrypthash.md)
* [SCryptVerify](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/scryptverify.md)
* [VerifyBCryptHash](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/verifybcrypthash.md)
* [VerifySCryptHash](/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/verifyscrypthash.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-framework/modularity/password-encryption/reference/built-in-functions/encrypt/scrypthash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
